#include "StreetTile.h"

FStreetTile::FStreetTile(int X, int Y, int W, int H)
	: FTile(X, Y, W, H, 1) {}

int FStreetTile::GenerateMesh(TArray<FVector>& Vertices, TArray<FVector>& Normals, TArray<int32>& Indices, TArray<FVector2D>& UVs, const int IndexOffset, TArray<FLinearColor>& Color)
{
	int Count = GenerateBox(Vertices, Normals, Indices, UVs, IndexOffset, *this);

	for (int i = 0; i < Count; ++i)
		Color.Add(FLinearColor(0.4, 0.4, 0.4, 1.0));

	return Count;
}

int FStreetTile::GetTileType()
{
	return ETileType::Street;
}