#pragma once

#include "CoreMinimal.h"
#include "Tile.h"

/**
 *	Represents a street tile that can be traversed by agents.
 */
class CV10_DAV_API FStreetTile : public FTile
{
public:
	FStreetTile(int X, int Y, int W, int H);
	virtual ~FStreetTile() = default;

	virtual int GenerateMesh(TArray<FVector>& Vertices, TArray<FVector>& Normals, TArray<int32>& Indices, TArray<FVector2D>& UVs, const int IndexOffset, TArray<FLinearColor>& Color);

	virtual int GetTileType();
};
