// Fill out your copyright notice in the Description page of Project Settings.


#include "BorderTile.h"

FBorderTile::FBorderTile(int _x, int _y, int _w, int _h, int _z)
	: FTile(_x, _y, _w, _h, _z) {}

int FBorderTile::GenerateMesh(TArray<FVector>& Vertices, TArray<FVector>& Normals, TArray<int32>& Indices, TArray<FVector2D>& UVs, const int IndexOffset, TArray<FLinearColor>& Color)
{
	int Count = GenerateBox(Vertices, Normals, Indices, UVs, IndexOffset, *this);

	for (int i = 0; i < Count; ++i)
		Color.Add(FLinearColor(0.0, 0.0, 0.0, 1.0));

	return Count;
}

int FBorderTile::GetTileType()
{
	return ETileType::Border;
}
