// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Tile.h"

/**
 * 
 */
class CV10_DAV_API FBorderTile : public FTile
{
public:
	FBorderTile(int X, int Y, int W, int H, int Z);
	virtual ~FBorderTile() = default;

	virtual int GenerateMesh(TArray<FVector>& Vertices, TArray<FVector>& Normals, TArray<int32>& Indices, TArray<FVector2D>& UVs, const int IndexOffset, TArray<FLinearColor>& Color);

	virtual int GetTileType();
};
